[gutsy] OpenOffice crashes/hangs with some Gtk themes (e.g. Crux)

Bug #131526 reported by Simon Schenk
680
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenOffice
Fix Released
Unknown
openoffice.org (Ubuntu)
Critical
Unassigned
Gutsy
Undecided
Unassigned
Hardy
Critical
Unassigned

Bug Description

Binary package hint: openoffice.org2

Certain Gtk themes trigger bugs in OOo applications, which causes them to hang and/or crash.

WORKAROUND:
a) Use another Gnome/Gtk theme, e.g. "Human".
(From the Gnome Panel (the bit with the clock and the Applications, Places, System drop down menus) click System then Preferences then Appearance and select Human - or start gnome-appearance-properties directly)
b) There are test packages for i386 [1] and amd64 [2] available, which you can use until the official update is available.

[1] http://codeprobe.de/tmp/ooo/
[2] https://edge.launchpad.net/~blueyed/+archive/+index?name_filter=openoffice

Original description:
OO Applications do not start or crash when opening a file, if the current gtk theme contains a bug. The following trace shows what happens when the 'tactile' theme is used, which seems to be incomplete. With the default theme and others, this error does not occur.

While the problem is related to the theme as well, OO certainly should not crash here.

Used version: gutsy as of 2007-08-10; OO 2.3.0~src680m224-1ubuntu2

I first noticed the problem after the automatic update to 2.3.0 yesterday.

sschenk@lapace01:~$ ooimpress
/home/sschenk/.themes/Tactile/gtk-2.0/gtkrc:1046: Bilddatei konnte nicht in pixmap_path gefunden werden: »spin_button_up_arrow_prelight.png«
/home/sschenk/.themes/Tactile/gtk-2.0/gtkrc:1050: Overlay image options specified without filename
/home/sschenk/.themes/Tactile/gtk-2.0/gtkrc:1056: Bilddatei konnte nicht in pixmap_path gefunden werden: »spin_button_down_arrow_prelight.png«
/home/sschenk/.themes/Tactile/gtk-2.0/gtkrc:1060: Overlay image options specified without filename
*** glibc detected *** /usr/lib/openoffice/program/soffice.bin: free(): invalid pointer: 0x0866e1a0 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb6b8fd75]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb6b93810]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb6479961]
/usr/lib/openoffice/program/libvclplug_gtk680li.so[0xb58a0099]
/usr/lib/openoffice/program/libvcl680li.so(_ZN11SalGraphics22GetNativeControlRegionEmmRK6RegionmRK16ImplControlValueR16SalControlHandleRKN3rtl8OUStringERS0_SC_PK12OutputDevice+0x17b)[0xb7e29e7b]
/usr/lib/openoffice/program/libvcl680li.so(_ZN6Window22GetNativeControlRegionEmmRK6RegionmRK16ImplControlValueN3rtl8OUStringERS0_S8_+0x103)[0xb7eea063]
/usr/lib/openoffice/program/libvcl680li.so(_ZN7ListBox6ResizeEv+0x18c)[0xb7f3313c]
/usr/lib/openoffice/program/libvcl680li.so[0xb7ed0b04]
/usr/lib/openoffice/program/libvcl680li.so(_ZN6Window4ShowEht+0xca)[0xb7ed31ba]
/usr/lib/openoffice/program/libvcl680li.so(_ZN7ListBoxC1EP6WindowRK5ResId+0xd6)[0xb7f31916]
/usr/lib/openoffice/program/libsdui680li.so[0xaae42186]
...

Best regards,
Simon

TEST CASE:

If you can change your theme to CRUX and OpenOffice.org doesn't crash then the bug is corrected.

Revision history for this message
Andrea Corbellini (andrea.corbellini) wrote :

IMHO, OpenOffice should throw an error and use the default theme instead of close unexpectedly.

Changed in openoffice.org:
status: New → Confirmed
Chris Cheney (ccheney)
Changed in openoffice.org:
importance: Undecided → High
Revision history for this message
Nick B. (futurepilot) wrote : Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

I can confirm this. It's directly related the the GTK that is being used. I was not able to reproduce a crash with the Human Theme, however using the Crux theme, I was able to reproduce this. Set Crux as the theme and open OO Writer and press F11. It will totally lock up, only option is to Force Quit. Crux is only one theme, I'm sure there are plenty others that will cause a crash too.

Revision history for this message
bootsbradford (mark-bradford1) wrote :

Upgraded to gutsy last week and have just come to use Open Office today.

I am getting crashes on just about everything I try with Open Office. Cannot print, cannot customise, cannot do pretty much anything from the menu bar. This is crazy.

How do I change theme to see if its this that's causing it?

Revision history for this message
Michael Mulqueen (michael.mulqueen) wrote :

From the Gnome Panel (the bit with the clock and the Applications, Places, System drop down menus) click System then Preferences then Appearance and select Human.

Revision history for this message
bootsbradford (mark-bradford1) wrote :

Sorry, I meant Open Office theme, rather than Gnome theme. Any ideas how to change Open Office theme? (I've read a few people who've suggested that this has helped them?)

Revision history for this message
bootsbradford (mark-bradford1) wrote :

Apologies, Michael, I see now that changing gtk theme is the workaround for this bug. Not a fix unfortunately, but definitely a workaround.

Revision history for this message
Motin (motin) wrote :

I can confirm this on three different computers using variants of the Linsta gtk theme.
sudo apt-get remove openoffice.org-gtk
... makes the problem go away but leaves openoffice dead-ugly.
How could this have passed through to Gutsy when it was reported a month before it's release?

Revision history for this message
Michael Mulqueen (michael.mulqueen) wrote :

>sudo apt-get remove openoffice.org-gtk
>... makes the problem go away but leaves openoffice dead-ugly.
Is there maybe a QT/KDE version you could use instead to make it un-ugly?

>How could this have passed through to Gutsy when it was reported a month before it's release?
Presumably because it's partly as a result of 3rd party themes that aren't written properly and therefore they spent their time fixing more important things...

Revision history for this message
browe (brianmrowe-7effect) wrote : Re: [Bug 131526] Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

I use clearlooks theme and open office will work. it is the GTK theme
issue - is what I have seen. Some themes will crash openoffice.

On 10/21/07, Michael Mulqueen <email address hidden> wrote:
> >sudo apt-get remove openoffice.org-gtk
> >... makes the problem go away but leaves openoffice dead-ugly.
> Is there maybe a QT/KDE version you could use instead to make it un-ugly?
>
> >How could this have passed through to Gutsy when it was reported a month before it's release?
> Presumably because it's partly as a result of 3rd party themes that aren't written properly and therefore they spent their time fixing more important things...
>
> --
> [gutsy] OpenOffice crashes/hangs on errors in current gtk theme
> https://bugs.launchpad.net/bugs/131526
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Brian Rowe
cell: 317-691-1561

Revision history for this message
Nick B. (futurepilot) wrote : Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

>Presumably because it's partly as a result of 3rd party themes that aren't written
>properly and therefore they spent their time fixing more important things...

However some of the themes that ship with Ubuntu will cause the crash.

Revision history for this message
Patrick (veinor) wrote :

> However some of the themes that ship with Ubuntu will cause the crash.
I can confirm that Crux, which ships with Ubuntu, causes the anomalous behaviors.
For me, it happens whenever I press F7 for spellchecking, at the very least.

Revision history for this message
down8ve (down8ve) wrote :

I wanted to comment on this bug as an average user. To me, this is not a "high priority"bug, it is CRITICAL! The freeze happend whenever I tried to do anything at all to edit a document. I removed my personal .openoffice folder, checked permissions, etc. Inever would have guessed the theme I used would cause such a problem (Phacile-beige).

I was lucky to have found how to fix the problem, yet I wonder how many have decided to go elsewhere after they could not create a simple document. Let's make this a critical bug.

Revision history for this message
Motin (motin) wrote :

I totally agree. This is purely a CRITICAL bug! An anecdote: I recently installed Ubuntu on a customer's home computer, as they had a giant spyware attack in XP and it was very cumbersome to reinstall XP so I figured Ubuntu would be better for this family's need. It worked (using a Linsta theme for their sake of recognition) fine until after the upgrade to Gutsy - now they say that what one can do in 1 hour in windows takes 7 hours in Ubuntu because it freezes and hangs all the time - and when I checked it out what it was about - they were referring to this particular problem. Solving it partially by leaving openoffice dead-ugly was not very elegant as well.

Revision history for this message
Rafael C. Brandão (rcbrandao) wrote :

I can confirm this bug as well, with pixmap/pixbuff/murrina engines

Revision history for this message
Motin (motin) wrote :

So how can we make this bug as quickly resolved as possible?
 - Is it reported upstream?
 - Can we make some Oo.org-devs use some fancy themes on their personal PCs?
 - Can someone debug this or help us debug this so that we eventually can supply a patch upstream?

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 131526] Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

On Mon, 2007-10-22 at 12:24 +0000, down8ve wrote:
> I wanted to comment on this bug as an average user. To me, this is
> not
> a "high priority"bug, it is CRITICAL! The freeze happend whenever I
> tried to do anything at all to edit a document. I removed my personal
> .openoffice folder, checked permissions, etc. Inever would have
> guessed
> the theme I used would cause such a problem (Phacile-beige).
>
> I was lucky to have found how to fix the problem, yet I wonder how
> many
> have decided to go elsewhere after they could not create a simple
> document. Let's make this a critical bug.

Agreed.

There is _nothing_ that is more important than having the system work as
it should. And such an easily changable user component such as a theme
should be utterly incapable of bringing any system or application down
to its knees. This looks like a poor design issue inside of
OpenOffice.org.

Alternatively, I have found that a (better, IMHO) workaround for me is
to simply use Abiword and Gnumeric.

 --- Mike

--
Michael B. Trausch <email address hidden>
home: 404-592-5746, 1 www.trausch.us
cell: 678-522-7934 im: <email address hidden>, jabber
pidgin/tb2 for ubuntu feisty: www.trausch.us/pidgin

Revision history for this message
down8ve (down8ve) wrote : Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

Mike,

Yep, you are right. Just installed Abiword and am doing fine with it. We'll see how long it takes to learn how to do footnotes and such. Too bad other folks wouldnot guess to do this.

Thanks!

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

down8ve:

While I have to use OOo/Abiword for my homework, I use LaTeX for everything else. Oh, how I wished I could just use LaTeX for everything. :-P

Revision history for this message
Michael Mulqueen (michael.mulqueen) wrote : Re: [Bug 131526] Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

Has anyone considered compiling the latest version of OpenOffice
(directly obtained from OOo) seeing whether they have the same issue
and reporting the bug directly to them? I expect I'd go spare
compiling it, anyone willing to put their sanity on the line?

On 10/22/07, down8ve <email address hidden> wrote:
> Mike,
>
> Yep, you are right. Just installed Abiword and am doing fine with it.
> We'll see how long it takes to learn how to do footnotes and such. Too
> bad other folks wouldnot guess to do this.
>
> Thanks!
>
> --
> [gutsy] OpenOffice crashes/hangs on errors in current gtk theme
> https://bugs.launchpad.net/bugs/131526
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
Nick B. (futurepilot) wrote : Re: [gutsy] OpenOffice crashes/hangs on errors in current gtk theme

This is not an Ubuntu specific bug. It happens on other distros too. So I'm guessing it would also happen in the official OOo package. Has anyone found a report upstream?

Revision history for this message
Patrick (veinor) wrote :

Apparently, 2.3.1 will fix the bug; see http://www.openoffice.org/issues/show_bug.cgi?id=82608
Let's just hope they release it soon!

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

I attached the upstream bug to this issue. It seems that they have a patch that fixes it. I will (try to) build and test it tomorrow, but I am not sure if I can pull that off or not. The last time I tried to build OOo, it took 16 hours and failed at the end. :-P

Revision history for this message
simonstrumse (simonstrumse) wrote :

Hi.
As i'm experiencing the same trouble I'm adding my terminal output when OO crashes. oh, and by the way i solved the problem by switching to human theme. Now it works with gtk and gnome packages... so long.

cyrano@bergerac:~$ openoffice -writer
X-Error: BadDrawable (invalid Pixmap or Window parameter)
        Major opcode: 53 (X_CreatePixmap)
        Resource ID: 0x4e0024a
        Serial No: 2365 (2365)
These errors are reported asynchronously,
set environment variable SAL_SYNCHRONIZE to 1 to help debugging

** (process:8705): WARNING **: Unknown error forking main binary / abnormal early exit ...

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

I've added the patch from OOo bug 82608 to a local source tree and am building it on my server as soon as it is uploaded. I should be able to install it by mid-afternoon tomorrow, and see if it fixes the problem. Here's hoping that the build does not fail. :-)

If it is successful, I will have testing packages for i386 and amd64 tomorrow and I can make them available for testing if necessary—I will post links tomorrow. Disclaimer: I am not sure if the packages I am building will cleanly update to the next Ubuntu revision unless that revision happens to be 2ubuntu0 or 1ubuntu7 -- my local revision is 1ubuntu6~mbt which I know at the very least my system will see as an upgrade. If there is a pointer to information around that gives information on how to mark revisions for testing packages so that they cleanly update to the next official release when it could be immediate, I'd like to be pointed to it. (Mostly, I am just not sure if 1ubuntu5~mbt would be seen as greater-than 1ubuntu5, and I wanted to be sure that my system would prefer my testing package over the one in the repo so that I could just 'apt-get update && apt-get upgrade'.)

Changed in openoffice:
status: Unknown → Fix Released
Chris Cheney (ccheney)
Changed in openoffice.org:
importance: High → Critical
Revision history for this message
Michael B. Trausch (mtrausch) wrote :

My testing version is _still_ building. It will be some time before it is done. If someone knows how to build it and take advantage of large numbers of CPUs for the build, and can do so, they might just beat my little uniprocessor box. :-P

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

I guess that OOo is a far longer build than I had anticipated. It is still going on.

I have a few questions for those that may be watching this bug, seeing that it is still not picked up by anyone in the BTS.

 (1) Is someone who is a maintainer for the "main" component of Ubuntu working on this already, and
 (2) If the answer to (1) is "no," then what should I do with these test packages if (a) the build is successful and (b) addresses the issue, so that they can be used? Would I just give the src pkg to someone to run through the Ubuntu build servers and release?
 (3) Has anyone else here built OOo successfully and have approximate times that it took? It seems that the longest part of the build is hanging on processing *.sdf files with a program called "localize", so I am guessing that the OpenOffice.org internationalization also comes from the OOo source package, though I had thought that was a separate package.

Revision history for this message
Daniel Hahler (blueyed) wrote :

Michael, the next version is likely to be 2.3.0-1ubuntu5.2 for Gutsy. In general, you should use the next Ubuntu version and append "~something".
Do you have a debdiff for your package? (see https://wiki.ubuntu.com/MOTU/Recipes/Debdiff)
This way, others could get the source, apply your patch/debdiff and also try building it.
I'll look at the upstream bug now, add the patch to the 2.3.0-1ubuntu5.1 sources (from gutsy-proposed) and upload it to my PPA, so that the Ubuntu build system builds it (see https://help.launchpad.net/PPAQuickStart/).

You can use "dpkg --compare-versions ver1 OP ver2" to compare versions. "dpkg --compare-versions 1~foo eq 1" liefert 0, therefor 1~foo is the same as 1.

I'm currently uploading a new package, with the patch hopefully included/applied during build. (see following debdiff)

Revision history for this message
Daniel Hahler (blueyed) wrote :

The upload to my PPA is finished and the package has been accepted: you can watch the process at https://edge.launchpad.net/~blueyed/+archive/+builds?build_text=openoffice&build_state=all and may want to test it, once it's finished building (which may take 8+ hours).
I'm not sure though, if I've included the patch correctly.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

The build failed with something wrong in your PPA. I lost my build because my laptop (which had the controlling terminal) went to sleep. BUT! I have packages—probably all but the localization I think. Will know very soon.

I have a debdiff coming from OOo from Gutsy and mine.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Hrm.

One of the following is true at least in my case: (a) the patch applied, but did nothing, (b) the patch that I added did not get applied to the build, (c) the patch did not fix the problem, or (d) Not the entirety of OOo built and the patch applies to a pkg that I couldn't build. I still get the "double free or corruption" error from glibc followed by a crash. :-(

I will try to upload my src pkg to PPA and see if I can get it to run there and finish. Hopefully by tomorrow.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Well, PPA still hasn't indicated that it received my src pkg. It's been nearly an hour, so I can only conclude that something isn't right with PPA. I will kick off a pbuilder again on my machine and hope that builds things.

Revision history for this message
Daniel Hahler (blueyed) wrote :

Michael, your package is building now.
However, you need to add the patch to "apply" - that's where the syntax error occured in my build. I'm guessing it's related to that I've named it "*.patch" and not "*.diff".
I'll attach my current debdiff.

Revision history for this message
Daniel Hahler (blueyed) wrote :

The amd64 build succeeded now, the i386 one failed. (see https://launchpad.net/~blueyed/+archive/+builds?build_text=openoffice&build_state=all)

I've updated the debdiff above.

I'll try manually building a i386 package now.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

I am in the same boat—i386 build failed both on PPA and my own server running it under pbuilder, and the amd64 build succeeded both on PPA and my server.

I am installing packages now to see if they fix the problem at least on the amd64 platform, and if they do then we just need to figure it out for i386. I don't know why the build would succeed for one platform and not the other... that is confusing to me.

One thing that I did notice; my build regressed bug 131526.

It also did *not* fix this bug, though it did at least crash and show the "OpenOffice.org Document Recovery" screen instead of actually freezing, at least in Writer. In Calc, it still locks hard, and has to be sent a nasty signal to get the executable to die. That's an improvement, but as the saying goes, there is no cigar yet.

Is there someone able to take a look at this that has some C++/OOo programming knowledge that might be able to figure out why the patch didn't do what it was advertised to do? Could it be an interaction between this patch from upstream and another Debian or Ubuntu patch to OOo?

Is someone able to try building the vanilla upstream and see if it works that way, maybe? My server is currently working on other work, and I don't know that I can repackage OOo from pristine sources to try on PPA. I'd try to use the OOo supplied binaries, but they're i386, not amd64.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Man, I need to learn how to type.

I meant to say that my build regressed bug 153132.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Daniel, your build seems to say that it ran out of space:
bzcat: I/O or other error, bailing out. Possible reason follows.
bzcat: No space left on device
 Input file = (stdin), output file = (stdout)
make[1]: *** [debian/stampdir/gsi-export-ne] Error 1

Mine from PPA says the same thing:
bzcat: I/O or other error, bailing out. Possible reason follows.
bzcat: No space left on device
 Input file = (stdin), output file = (stdout)
make[1]: *** [debian/stampdir/gsi-export-ne] Error 1

On my box, it says:
Making: ../unxlngx6.pro/lib/libunsafe_uno_uno.so
g++ -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -shared -L../unxlngx6.pro/
lib -L../lib -L/tmp/buildd/openoffice.org-2.3.0/ooo-build/build/OOG680_m5/solenv
/unxlngx6/lib -L/tmp/buildd/openoffice.org-2.3.0/ooo-build/build/OOG680_m5/solve
r/680/unxlngx6.pro/lib -L/tmp/buildd/openoffice.org-2.3.0/ooo-build/build/OOG680
_m5/solenv/unxlngx6/lib -L/usr/lib/jvm/java-gcj/lib64 -L/usr/lib/jvm/java-gcj/jr
e/lib/amd64 -L/usr/lib/jvm/java-gcj/jre/lib/amd64/server -L/usr/lib/jvm/java-gcj
/jre/lib/amd64/native_threads -L/usr/lib -L/usr/lib/firefox ../unxlngx6.pro/slo/
UnsafeBridge.o ../unxlngx6.pro/slo/unsafe_uno_uno_version.o -o ../unxlngx6.pro/l
ib/libunsafe_uno_uno.so -luno_purpenvhelpergcc3 -luno_cppu -luno_salhelpergcc3 -
luno_sal -ldl -lpthread -lm -Wl,-Bdynamic -lstlport_gcc
../unxlngx6.pro/slo/UnsafeBridge.o: In function `uno_ext_getMapping':
UnsafeBridge.cxx:(.text+0x67): undefined reference to `cppu::helper::purpenv::cr
eateMapping(_uno_Mapping**, _uno_Environment*, _uno_Environment*, void (*)(bool,
 void*, void*, _typelib_TypeDescriptionReference*, _typelib_MethodParameter*, lo
ng, _typelib_TypeDescription const*, void*, void**, _uno_Any**), void*)'
collect2: ld returned 1 exit status
dmake: Error code 1, while making '../unxlngx6.pro/lib/libunsafe_uno_uno.so'
---* tg_merge.mk *---
dmake: Error code 255, while making 'ALLTAR'
---* tg_merge.mk *---

ERROR: Error 65280 occurred while making /tmp/buildd/openoffice.org-2.3.0/ooo-bu
ild/build/OOG680_m5/cppu/util
make[1]: *** [stamp/build] Error 1
make[1]: Leaving directory `/tmp/buildd/openoffice.org-2.3.0/ooo-build'
make: *** [debian/stampdir/build] Error 2
pbuilder: Failed autobuilding of package
 -> Aborting with an error
 -> unmounting dev/pts filesystem
 -> unmounting proc filesystem
 -> cleaning the build env
    -> removing directory /var/cache/pbuilder/build//14749 and its subdirectorie
s

real 30m25.746s
user 17m38.850s
sys 8m28.924s

Any idea what causes that last error, or why the build claims to run out of space on PPA for i386 but not amd64?

Revision history for this message
Daniel Hahler (blueyed) wrote :

Michael, I don't understand why your i386 build failed, but noticed the space problem on PPA myself.

As said before, in your PPA build the patch is not included (you have not added it to the "apply" file - according to your posted debdiff).

btw: I've been told on IRC today that the PPAs are currently not supposed to handle large builds like OOo: our builds seem to have caused quite long delays for others.

My i386 build is still running. I hope it finished successful by tomorrow.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

dAniel,

Your build has fixed the bug in amd64, at least as far as I can tell. I can once again use context menus and the like with various non-Human themes selected. I would say that if others can test and verify, and the i386 build is able to build and is also fixed, this should probably go out as soon as possible. :)

Chris Cheney (ccheney)
Changed in openoffice.org:
milestone: none → gutsy-updates
Revision history for this message
Daniel Hahler (blueyed) wrote :
Revision history for this message
Daniel Hahler (blueyed) wrote :

My i386 build finished and I can confirm that it fixes this bug.
Packages are available from: http://codeprobe.de/tmp/ooo/

Changed in openoffice.org:
status: Confirmed → Fix Committed
Revision history for this message
Daniel Hahler (blueyed) wrote :
Revision history for this message
hamayoun (hamayoun-khan) wrote :

When is this going to be available via Update Manager?

Revision history for this message
Karol Lipnicki (karol-lipnicki) wrote :

I mean it may takes a few days, but i've hope a new packages will be available at monday :)

Revision history for this message
Daniel Hahler (blueyed) wrote :

Assigning to Chris, who will hopefully include this fix in his planned upload.

Changed in openoffice.org:
assignee: nobody → ccheney
status: Fix Committed → Confirmed
Revision history for this message
Karol Lipnicki (karol-lipnicki) wrote :

How it looks - Users still waits for new packages :(

Revision history for this message
Charles Curley (charlescurley) wrote :

I hit this and reported it independently (159360, marked as a duplicate). I "cured" it by uninstalling OOo entirely, then re-installing it. I have not changed themes, and it is still crux.

Of course if new packages become available shortly, this workaround is moot.

Thanks for the work.

Revision history for this message
Pablo Castellazzi (pcastellazzi) wrote :

As a temporary solution i lied to openoffice about the current GTK theme with: GTK2_RC_FILES=/usr/share/themes/Human/gtk-2.0/gtkrc openoffice

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Wow. Nearly 40 duplicates. I don’t think that I have seen such a duplicated bug report. :-)

Any idea when this patch will be officially included in Ubuntu and an update will be released? I have been using dAniel’s build since October 26, and it has been working extremely well for me. I use OOo for school work when I must turn in assignments in one of the Microsoft Office formats, which is actually fairly frequently. dAniel’s application of the upstream patch has enabled me to do my accounting homework again with my preferred system theme. Are we waiting for an upstream maintenance release?

Revision history for this message
Fabio Da Soghe (fabio-dasoghe) wrote :
Download full text (3.1 KiB)

I have a blocking problem with OpenOffice in Gutsy, which is not resolved by the proposed patch. I mean: I get the error with the official OpenOffice repository version and with the updated version available from http://codeprobe.de/tmp/ooo/ (provided by dAniel hAhler).

I'm using OpenOffice in server mode: I run it on Ubuntu Server 7.10, using xvfb (so I have no gnome desktop). I'm developing a java application that makes use of UNO interface to connect to a live OOo server and do some work on text documents. To achieve this I keep a running OOo instance with this command:

xvfb-run --server-args='-screen 0 800x600x16' -a /usr/lib/openoffice/program/soffice -headless -nologo -norestore -accept="socket,host=0.0.0.0,port=2002;urp;" &

The problem I get is an exception when I try to save the document to disk:
com.sun.star.task.ErrorCodeIOException: ^Iat
com.sun.star.lib.uno.environments.remote.Job.remoteUnoRequestRaisedException(Job.java:187) ^Iat com.sun.star.lib.uno.env
ironments.remote.Job.execute(Job.java:153) ^Iat com.sun.star.lib.uno.environments.remote.JobQueue.enter(JobQueue.java:34
9) ^Iat com.sun.star.lib.uno.environments.remote.JobQueue.enter(JobQueue.java:318) ^Iat com.sun.star.lib.uno.environment
s.remote.JavaThreadPool.enter(JavaThreadPool.java:106) ^Iat com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge.
sendRequest(java_remote_bridge.java:657) ^Iat com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.request(Prox
yFactory.java:159) ^Iat com.sun.star.lib.uno.bridges.java_remote.ProxyFactory$Handler.invoke(ProxyFactory.java:141) ^Iat
 $Proxy60.storeAsURL(Unknown Source)

Please note that:
- it's not a write permission issue: I tried to chmod 777 the destination directory with no success, and the OOo engine is able to create the file with 0 length;
- this whole system (my own application, the OOo headless server installation and configuration) works fine in Ubuntu 6.10 (my OOo version is 2.0.4).
- I tried in Ubuntu Server 7.04, with OOo 2.2 with no success (there is another type of error: while inserting an image into the document, but the exception is aways about UNO calls)
- the same installation works fine with OOo 2.3 on windows xp, without changing a single line of code, so I'm confident it's not an UNO API issue from OOo 2.0 (which works on Ubuntu 6.10 and windows xp) to OOo 2.3 (which works only on windows xp).

It's almost a week of hard work that I'm trying to resolve this problem with no hope, so now I'm forced (due to my deadline) to setup my production environment with an Ubuntu Server 6.10 (the only system I was able to make working).

For what I can see, it seems to me the OOo version of Ubuntu is quite buggy: maybe I have to consider myself lucky to have at last one version of Ubuntu Server where all the software I need is working. As an application developer which wants to use Ubuntu and OOo-on-the-server I would like to debug deeper this issue, but it doesn't seem to be an OOo core issue (so I cannot expect much help from the OOo people). If you (Ubuntu OOo package maintainer) agree this is a package issue, I would be glad to supply all information I can to fix the problem.

Best regards,

Fabio ...

Read more...

Revision history for this message
Motin (motin) wrote :

@Fabio Da Soghe: Your comment seems to describe another bug. Please open a separate bug report for your experienced issue if you are interested in any feedback on that specific issue.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Fabio,

Please report a new bug for the issue above, along with all the information that you can provide to reproduce the bug. It is not a GTK issue, and thus is not relevant to this bug. Also, are you able to reproduce the bug with upstream’s OpenOffice.org builds? If so, that eliminates Ubuntu as the cause of the issue, as well.

Thank you!

Revision history for this message
down8ve (down8ve) wrote :

Fixed it by jumping to PCLinux, sorry!

Revision history for this message
Montana Harkin (montanaharkin) wrote : Re: [Bug 131526] Re: [gutsy] OpenOffice crashes/hangs with some Gtk themes (e.g. Crux)

Thanks. Very useful in the discussion.

----- Original Message ----
From: down8ve <email address hidden>
To: <email address hidden>
Sent: Wednesday, November 7, 2007 9:45:07 AM
Subject: [Bug 131526] Re: [gutsy] OpenOffice crashes/hangs with some Gtk themes (e.g. Crux)

Fixed it by jumping to PCLinux, sorry!

--
[gutsy] OpenOffice crashes/hangs with some Gtk themes (e.g. Crux)
https://bugs.launchpad.net/bugs/131526
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Revision history for this message
Fabio Da Soghe (fabio-dasoghe) wrote :

@Motin and Michael:

I filed a new bug (https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/160906), hope it's ok.

Michael, what do you mean with upstream's OOo build? I'm not able to download OOo sources and compile them, if you mean that. As I said, I tried with the latest packaged version I can get (2.3.0-1ubuntu5.2 provided by dAniel hAhler).

Cheers,

Fabio

Revision history for this message
Innovator (gdpevn) wrote : Here's My Workaround.

This is the exact problem that I have. I used this workaround from a duplicate: removed openoffice-gtk in synaptic.

Revision history for this message
meba (jakub-rtfm) wrote :

OK, I've created a duplicate too :-) Any idea when this is released? Test builds are i386 only :(

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

meba: dAniel has a working AMD64 version. See his PPA: https://edge.launchpad.net/%7Eblueyed/+archive

I have been using it since he built it, without issue.

Revision history for this message
zelrik (zelrikriando) wrote :

I had the same problem just now...had to switch to 'human' to get openoffice started !! grrr
I hope this bug will be fixed soon, my windows looks ugly now :/

Revision history for this message
Marcelo Rocha (mcrocha) wrote :

I had the problem too. OpenOffice Impress and Draw was freezing, but Writer and Calc wasn't. Then i switched do Human theme, and the problem was resolved.

Revision history for this message
Crystal (crystal-rideout) wrote :

Same issues: I couldn't use any of the menu functions in Writer until I switched to Human theme. Everything works again, but not with the Crux theme I was using.

Revision history for this message
searayman (mikejones3) wrote :

mine is only freezing when i try certian things such as editing the appearance in tools>options...

Revision history for this message
DVANDERM (d-vanderm) wrote :

I can also confirm this bug. It only seems to occur with the Crux theme. All other themes seem to function properly.

Revision history for this message
Mircea Deaconu (mirceade) wrote :

Hello! First of all let me say I am truly regretting doing this. This is a spam message sent to all critical bug message lists. It's purpose: making this (https://bugs.launchpad.net/ubuntu/+source/acpi-support/+bug/59695) bug critical too. This is a long standing bug and has a very serious impact on laptop type of hardware. It's priority is set to "wishlist" and I just cannot take this anymore. I DO NOT CARE if my account gets suspended. I am doing what's right for all my friends using Ubuntu on their laptops.

Revision history for this message
balticman (balticman) wrote :

The same problem for me as well. Openoffice and Crux do not get along. I could open Writer but all the other OO programs froze my system when I was using Crux. After changing theme OO worked perfectly.

Revision history for this message
Ignasi Prat (iprat) wrote :

Experienced exactly the same problem with OpenOffice and Crux theme. In my case the problem focuses in Impress (which halts during start splash screen) but I have not tested thoroughly Writer, Calc or Draw.

Simply changing theme to Human makes all work again, but tell this to my Wife !!!

Any possibilities the i386 patch goes to the repositories ?

Revision history for this message
kvasir (kvesir) wrote :

Hello,

i have got problems with open office too. Perhaps this solution can help:
open the gtkrc file of your theme and disable the following lines
    GtkOptionMenu::indicator_size = {...}
    GtkOptionMenu::indicator_spacing = {...}
Reset yout theme and launch openoffice again.

Daniel Hahler (blueyed)
description: updated
Daniel Hahler (blueyed)
Changed in openoffice.org:
status: Confirmed → Triaged
Revision history for this message
sleg (ceduf) wrote :

Commenting thoses line in gtkrc of themes worked for me
GtkOptionMenu::indicator_size = {...}
GtkOptionMenu::indicator_spacing = {...}

Thanks for this.

Revision history for this message
Guido Cauli (guido-cauli) wrote :

Greetings.

I also can report this bug using non-Human GTK2 themes. The complete tracing is into the attachment.

I will try the gtkrc workaround proposed here.

Thank you all.

Chris Cheney (ccheney)
description: updated
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into gutsy-proposed, please test:

openoffice.org (1:2.3.0-1ubuntu5.2) gutsy-proposed; urgency=low

  * debian/rules: Rename intro.bmp to openintro_ubuntu.bmp.
    Closes LP: #155125
  * debian/rules move libdba680lx.so from openoffice.org-base to
    openoffice.org-core.
    Closes LP: #24975, #52847, #117648, #134276, #156852, #157512
  * ooo-build/patches/src680/pyuno-rpath-ooodir.diff:
    Closes LP: #132583
  * ooo-build/patches/src680/ooo82608.vcl.gtkbadfree.diff:
    Closes LP: #131526
  * ubuntu/openintro_ubuntu.bmp:
    Update splash screen to right bitmap depth. Closes LP: #157176

 -- Chris Cheney <email address hidden> Sat, 24 Nov 2007 20:07:29 -0600

Changed in openoffice.org:
status: New → Fix Committed
Revision history for this message
Rouss (f-roussillon) wrote :

hi, in my case, updates works very well with all themes.

thanks for your job

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Fix from proposed is confirmed to fix the issue here. Thanks for getting this one knocked out!

Revision history for this message
Ignasi Prat (iprat) wrote :

Fix downloaded from proposed and fixed the issue here too.

Thanks !

Revision history for this message
Pedro Villavicencio (pedro) wrote :

Verification done:

Test with openoffice.org 1:2.3.0-1ubuntu5 after changing the theme to crux it crashed.
Test with openoffice.org 1:2.3.0-1ubuntu5.3 after changing the theme to crux or to other one it doesn't crash anymore, the bug is fixed. Thanks.

Revision history for this message
Charles Horton (drcharles) wrote :

Whatever's currently on the Gutsy auto-update didn't fix the problem. Had been working all morning in Writer, with auto-save set to every 15 minutes, when I tried to open something in Impress. Ubuntu asks if I want to force Impress to quit -- and that's when I find out that Writer goes down with the ship. Doh! And actually, the auto-save seems broken as well, because I lost everything I'd typed today. Is auto-save broken as well?

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Charles: did you enable the gutsy-proposed update repository?

Revision history for this message
Charles Horton (drcharles) wrote :

No, I haven't done that. How do I enable it? I switched back to the "Human" system since that was also listed as helping.

This is fairly mission-critical work and it really kills me to have lost so much data -- does this upgrade fix auto-save as well? I went to my auto save directory and confirmed that the auto-saved file was never updated with anything I typed today, and OOo had been running for hours. BTW my version number is 2.3.0-1ubuntu5.

Thanks for the help.

Revision history for this message
Charles Horton (drcharles) wrote :

Never mind the question about enabling it, figured it out. But is auto-save fixed?

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

TBH, I have never had that broken on my system, so I cannot tell you. It is possible that the symptom that you are describing is one that is related to this GTK+ issue, since when the auto-save kicks off it /does/ change some of the UI to indicate that the autosave is working. Normal saving was also borked with this bug and an “infringing” (for lack of a better term) GTK+ theme.

You may want to try with a non-mission critical document, working on it and adding random stuff to it every few minutes, and see if the auto-save works. You may also want to check to see what your autosave settings are, though I cannot recall where those are located.

That having been said, if you still have the issue in 2.3.0-1ubuntu5.3, then I would recommend that you file a bug against file a bug against it; you may also want to try running OpenOffice.org from within a terminal to see if, when you trigger the bug, there are any issues that show up there, as well.

Revision history for this message
Martin Pitt (pitti) wrote :

Copied to gutsy-updates.

Changed in openoffice.org:
status: Fix Committed → Fix Released
milestone: gutsy-updates → hardy-alpha-2
Chris Cheney (ccheney)
Changed in openoffice.org:
assignee: ccheney → nobody
milestone: hardy-alpha-2 → none
status: Triaged → Fix Released
Revision history for this message
Rachel K (rachel-kronick) wrote :

Unlike Charles, I haven't been able to figure out how to get the bug-fixed version installed. I have the gutsy-proposed repository enabled, but when I go into Synaptic, I don't see any openoffice versions other than the one I already have installed.

Revision history for this message
Aaron Wang Shi (aarons-wang) wrote :

I confirm this in Gutsy, when I use "Redmond" or "Simple Ice" theme under Gutsy, openoffice impress can not launch. Here I quote the Bug discription of Bug #109714, first reported on 2007-04-24 by Prakash J Kokkatt

Binary package hint: openoffice.org

Package: openoffice.org-impress
Architecture: i386
Source: openoffice.org
Version: 2.1-4ubuntu1
Filename: pool/main/o/openoffice.org/openoffice.org-impress_2.1-4ubuntu1_i386.deb

Hello,
I and many ubuntu feisty users got an error when trying to save a presentation in OO-impress.when we open any presentation or even empty file and try to exit and if we say save or discard either,Impress poped a error message as follows in a window:

"Due to an unexpected error,OpenOffice.org crashed.All the files you were working on will be saved now.Then next time OpenOffice.org will be launched,your files will be recovered automatically.

The following files will be recovered:

^^ No files though shown.if i press OK.it exits and opens a new Openoffice.org-writer without any calling title as usual Untitle 1.
I tried opening from terminal :

prakash@ubuntu:~$ ooffice -impress
but i cant trace anything.
So i tried :
prakash@ubuntu:~$ soffice
/usr/share/themes/Blubuntu/gtk-2.0/gtkrc:169: Clearlooks configuration option "progressbarstyle" is not supported and will be ignored.
/usr/share/themes/Blubuntu/gtk-2.0/gtkrc:169: Clearlooks configuration option "progressbarstyle" is not supported and will be ignored.
^ but that doesnt seems to help.so please fix this bug.

Revision history for this message
Daniel Hahler (blueyed) wrote :

The bugfixed version is available in gutsy-updates. Please make sure that you have it enabled in your /etc/apt/sources.list file or through the GUI in Synaptic.

You should have version 2.3.0-1ubuntu5.3 in Gutsy.

If you still have problems with this version, then it's probably another bug, which you should report separately (if it isn't already).

Revision history for this message
Daniel Hahler (blueyed) wrote :

The fix is not released in Hardy: openoffice.org has not been build there (missing dependency libjfreereport-java), please fix it - we're now getting dupes for this bug from Hardy users.

Changed in openoffice.org:
milestone: none → hardy-alpha-3
status: Fix Released → Triaged
Revision history for this message
Steve Langasek (vorlon) wrote :

OOo 2.3.1-3ubuntu1 has been built on i386 in hardy, and includes this fix. Binaries for amd64 will be forthcoming ASAP.

Changed in openoffice.org:
status: Triaged → Fix Released
Revision history for this message
zelrik (zelrikriando) wrote :

That was a half fix!!! Now there are color/font issues when exporting some .odt to .pdf when using Darklooks (for example, other themes might be affected) and I am not sure that it s a separate issue.

The color issues arise when inserting some formula in the text and exporting the whole thing to pdf. Switching to another theme fix this issue. It might be specific to Darklooks. I am not sure.

Revision history for this message
Rachel K (rachel-kronick) wrote :

I didn't realize earlier how to install the updates. Or rather, I didn't realize that I already had the updates repository enabled.

I'm still having problems with OO.o writer, even though I have the ubuntu5.3 version running. Auto-spell checking doesn't show the squiggly line, for example, when I'm in my favorite theme. I think I may also still have had crashes as well; I've come home to find my computer off, which could've been a power glitch, but my roommate's computer was still on, so I doubt it. OO.o hanging and CPU use spiking has caused many such shut-offs for me in the past, so that's the most likely candidate.

Revision history for this message
Rachel K (rachel-kronick) wrote :

I should also note: I don't know how to find error logs for this sort of thing if my whole computer gets shut off by a hang, so if anyone can tell me how, I'd appreciate it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.